org.apache.el.lang

## Class EvaluationContext

- java.lang.Object
- - javax.el.ELContext
  - - org.apache.el.lang.EvaluationContext

-     public final class EvaluationContext
      extends ELContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationContext(ELContext elContext, FunctionMapper fnMapper, VariableMapper varMapper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getContext(Class key)` Obtain the context object for the given key.
    `ELContext` | `getELContext()`
    `ELResolver` | `getELResolver()`
    `FunctionMapper` | `getFunctionMapper()`
    `Locale` | `getLocale()`
    `VariableMapper` | `getVariableMapper()`
    `boolean` | `isPropertyResolved()`
    `void` | `putContext(Class key, Object contextObject)` Add an object to this EL context under the given key.
    `void` | `setLocale(Locale locale)`
    `void` | `setPropertyResolved(boolean resolved)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationContext

          public EvaluationContext(ELContext elContext,
                           FunctionMapper fnMapper,
                           VariableMapper varMapper)

  - ### Method Detail

    - #### getELContext

          public ELContext getELContext()

    - #### getFunctionMapper

          public FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `ELContext`

    - #### getVariableMapper

          public VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `ELContext`

    - #### getContext

          public Object getContext(Class key)

      Description copied from class: `javax.el.ELContext`
      Obtain the context object for the given key.
      Overrides:
        `getContext` in class `ELContext`
      Parameters:
        `key` - The key of the required context object
      Returns:
        The value of the context object associated with the given key

    - #### getELResolver

          public ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `ELContext`

    - #### isPropertyResolved

          public boolean isPropertyResolved()

      Overrides:
        `isPropertyResolved` in class `ELContext`

    - #### putContext

          public void putContext(Class key,
                        Object contextObject)

      Description copied from class: `javax.el.ELContext`
      Add an object to this EL context under the given key.
      Overrides:
        `putContext` in class `ELContext`
      Parameters:
        `key` - The key under which to store the object
        `contextObject` - The object to add

    - #### setPropertyResolved

          public void setPropertyResolved(boolean resolved)

      Overrides:
        `setPropertyResolved` in class `ELContext`

    - #### getLocale

          public Locale getLocale()

      Overrides:
        `getLocale` in class `ELContext`

    - #### setLocale

          public void setLocale(Locale locale)

      Overrides:
        `setLocale` in class `ELContext`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.